
package jp.riken.brain.ni.samuraigraph.figure;

import jp.riken.brain.ni.samuraigraph.base.SGData;
import jp.riken.brain.ni.samuraigraph.base.SGDrawingWindow;
import jp.riken.brain.ni.samuraigraph.base.SGFigure;
import jp.riken.brain.ni.samuraigraph.data.SGVXYData;

/**
 * 2次元ベクトル型データ用フィギュアクラス
 */

public class SGVXYFigure extends SGFigure implements SGIFigureConstants
{


	/**
	 *
	 */
	public SGVXYFigure()
	{
		super();
	}



	/**
	 *
	 */
	public SGVXYFigure( final SGDrawingWindow wnd )
	{
		super( wnd );
	}



	/**
	 * Add a new data.
	 * @param data a new data.
	 * @return true:succeeded, false:failed
	 */
	public boolean addData( final SGData data )
	{
		if( data instanceof SGVXYData )
		{
			super.addData( data );
			return true;
		}
		else
		{
			return false;
		}
	}



	/**
	 * 
	 */
	public String getClassType()
	{
		return FIGURE_TYPE_VXY;
	}



}
